org.gnome.glib

## Class FatalError

- Object
- - Throwable
  - - Error
    - - org.freedesktop.bindings.FatalError
      - - org.gnome.glib.FatalError

- All Implemented Interfaces:
    Serializable

      public class FatalError
      extends org.freedesktop.bindings.FatalError

  Misuse of the underlying library. This is thrown as a result of a programmer carrying out an operation which the native library considers illegal. In an ideal world we would inhibit this before we even get to the native side, but in this case we didn't, and their defence mechanisms have caught the problem.

  By definition, a `CRITICAL` has to be fatal; the application is known to be in an undefined state after one has been emitted. While some programs allow the user to carry on in blissful ignorance, these warnings indicate a programmer doing something wrong, and that needs fixing.

  The message has, therefore, been thrown as a Java Error. This gets you a stack trace at the place where the problem occurred, and that's how we identify problems in the Java world.

  This is not the wrapper around `GError`!

  This class is our way of exposing fatal error conditions in a Java-appropriate fashion. `GError`, on the other hand, is GLib's mechanism for returning conditions that the developer can ask the user for a decision about. Incidentally, we do not expose those directly in the java-gnome public API; where they occur we propagate an appropriate Java checked exception instead. See `GlibException`.

  Since:
    4.0.7
  Author:
    Andrew Cowie
  See Also:
    Serialized Form

- - ### Method Summary

    - ### Methods inherited from class Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`